summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-26 08:20:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-26 08:20:05 +0000
commit7d0f02291c8488a5fba11f2cc88f4d76bb499afe (patch)
tree9ff739c2fdb9ff2b07ca464fd903c10bf493ad64 /dev-python
parent2eb18da45283176873df783f9be185a66bb6460e (diff)
downloadbaldeagleos-repo-7d0f02291c8488a5fba11f2cc88f4d76bb499afe.tar.gz
baldeagleos-repo-7d0f02291c8488a5fba11f2cc88f4d76bb499afe.tar.xz
baldeagleos-repo-7d0f02291c8488a5fba11f2cc88f4d76bb499afe.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild2
-rw-r--r--dev-python/beartype/Manifest1
-rw-r--r--dev-python/beartype/beartype-0.17.0.ebuild40
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.28.ebuild64
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.28.ebuild68
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.97.0.ebuild90
-rw-r--r--dev-python/pillow/pillow-10.2.0.ebuild2
-rw-r--r--dev-python/python-slugify/Manifest1
-rw-r--r--dev-python/python-slugify/python-slugify-8.0.2.ebuild29
-rw-r--r--dev-python/python-utils/Manifest1
-rw-r--r--dev-python/python-utils/python-utils-3.8.2.ebuild47
-rw-r--r--dev-python/seaborn/Manifest1
-rw-r--r--dev-python/seaborn/seaborn-0.13.2.ebuild39
-rw-r--r--dev-python/stripe/Manifest2
-rw-r--r--dev-python/stripe/stripe-7.14.0.ebuild81
-rw-r--r--dev-python/stripe/stripe-8.0.0.ebuild81
-rw-r--r--dev-python/types-docutils/Manifest1
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240126.ebuild17
-rw-r--r--dev-python/vcrpy/Manifest1
-rw-r--r--dev-python/vcrpy/vcrpy-6.0.1.ebuild62
23 files changed, 631 insertions, 2 deletions
diff --git a/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild b/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild
index 1a47debbb48c..52823476f368 100644
--- a/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild
+++ b/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
BDEPEND="
test? (
diff --git a/dev-python/beartype/Manifest b/dev-python/beartype/Manifest
index 03751847b826..3a029ceae167 100644
--- a/dev-python/beartype/Manifest
+++ b/dev-python/beartype/Manifest
@@ -1 +1,2 @@
DIST beartype-0.16.4.tar.gz 1063638 BLAKE2B a5e399f070cb0e7b9046eeb66f98d5ea194482d9d10db0f63269f2f085ad30c5a103dbb4f4f6e167fef56c348e9de63bd9c70812170c159d9b913235cf769bd9 SHA512 377bf525bdbc46879b2b864289d0450ec7835e424c3d31b682b4d9460f0d65f9759e4e1dc3e6e9b42047f7555ae7dfa8e7598d2181d25c94f30e01f7d006a741
+DIST beartype-0.17.0.tar.gz 1127446 BLAKE2B af31894aab2d2482d288832b59859c9f1ccebd21f9e974e18a68f132c2e4c5194d46e4323ed6b8ec2b1804977672cf72d3357ca04b910a6d2ad968bfdf2b1bb7 SHA512 b1322e640f1482819fa8218d284acd1ccb7063e1d725b5db9d3e71a762d4c464ad138df10ec24a3ead07105fb3d24336635309498ea8ce3c811c26a5ee457252
diff --git a/dev-python/beartype/beartype-0.17.0.ebuild b/dev-python/beartype/beartype-0.17.0.ebuild
new file mode 100644
index 000000000000..eb0e0c33e568
--- /dev/null
+++ b/dev-python/beartype/beartype-0.17.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Unbearably fast runtime type checking in pure Python"
+HOMEPAGE="
+ https://pypi.org/project/beartype/
+ https://github.com/beartype/beartype/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+BDEPEND="
+ test? (
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile performance test
+ beartype_test/a00_unit/a70_decor/test_decorwrapper.py::test_wrapper_fail_obj_large
+ # test for building docs, apparently broken too
+ beartype_test/a90_func/z90_lib/a00_sphinx
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 64d44b010343..23d84d119416 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.34.23.gh.tar.gz 766609 BLAKE2B d00b010c84c41695f02df58a51d483162af1
DIST boto3-1.34.25.gh.tar.gz 767540 BLAKE2B 0018e04ce16529de14bca16011f7e4dfc94966986d8a1ae952ddc6a26b9639aff56385ae2631feb6a7434d81665939c19a10e6b727ccbd4d1ab4afdbe36dc9e5 SHA512 e9e8a42c868b48d2c1cb0e7d80074d0dba63f58adb69adaa8288ab702e552f09d719acf06a1d436090187474e829f9b29d651531c14c1b0461c8807284a84b11
DIST boto3-1.34.26.gh.tar.gz 767554 BLAKE2B 1dc099c1d6d1da2e704c574bc8bc70883fb2f8974faa1e8c87154e0c5a892a38a8768b6aef59710cad598a1d11ce0e03d81bb2f0c0c7e9a531b434a9ff22aa15 SHA512 3da5b2d00054c5344ec32ec20fbc1bd74b8be31616102d4b5c03367c4ffae97fc80fbec62562a8d42893df3791524d5f5b490570fe1881ac266fa3849f8ccc9a
DIST boto3-1.34.27.gh.tar.gz 768012 BLAKE2B 4a8edd2470b58b02b684def8a3e1d70950621498e557e7a4f89bfbaf798339eb5e9bb89f3653063d79ebfbf1b04e706fa7209beef8d5e110e6a9f00e022d47d3 SHA512 76eb0e341f368a391be492c9551de77165e43721a54f87493c20d4c5bb89e2318b86e83009d92366014660a41d969165dfa9cb12591b0ac60f6fbb82fff590c0
+DIST boto3-1.34.28.gh.tar.gz 768214 BLAKE2B f208190d0321351252bd252f4152df7ecf337cb74e4642b4dc21c9d4d0aa7bb14aae2760b4220df292a1d47108fb23a42d73bc0d0aa28417298561d0f8795690 SHA512 3eeca1cd88a61bb8a7cdf23cd0c0317c3f5c4f915c4379a916a5b3a96263029c9932cb100286d8f5d9cef531a73e80ff66321d2869724cf9669a8fa9bcdec792
diff --git a/dev-python/boto3/boto3-1.34.28.ebuild b/dev-python/boto3/boto3-1.34.28.ebuild
new file mode 100644
index 000000000000..13391b8a8e76
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.28.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c591eeb6fec4..2b54669ef056 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.34.23.gh.tar.gz 12647072 BLAKE2B be20994714a1f31ac5272d5b7be8424
DIST botocore-1.34.25.gh.tar.gz 12652238 BLAKE2B 3509adf5f95387c1bc574dfed6edfbb69cd12508278101c5a5c509977eef0542ecd7748204182616095927ce6b834282f6e2e0c4018f094e9f046f0459c1d104 SHA512 5d94c9b3765399d7642ae3e1374ad5c065ee8c774557314f7535bc938dcc5db3dedb0d21a23df60140b8c1d3fc03d94502d61cd41bbc7c19953a9c6337479da4
DIST botocore-1.34.26.gh.tar.gz 12658700 BLAKE2B 614b76d37259c4a37db4e91cce8a2bb64630bdb1172c081f169d8016ff6e4db221a56d5873594fb1251782b8c3758cf00ea7bb0aeffaedc2c9a163d86c8cd708 SHA512 86707d98ec287d01152eb179747e66f3ba8563e7fc83752d1c9c782296277dbe582ce56049859044dbc270fb4499c2d07de6a55b094597625234071203bf7d4b
DIST botocore-1.34.27.gh.tar.gz 12662876 BLAKE2B 8e9dcdeb03da533960df43c3688c4cdce2604e0eefb36a54ac372e04c7f828354523a9c322ad6fc8b1b7d349bf49417041d6074a34628c64db9d5caa9e90fe29 SHA512 1bae71c8156c4e465b3343ad91675cfcf78cef66ff382a54e56a5b12bf7c4dc2d385860846b97507288dbb9fb5878dc3a52555d872edc411eedc1774e0151871
+DIST botocore-1.34.28.gh.tar.gz 12662404 BLAKE2B 31be5eb858f751947852d78d62d5bccb23b72eac03c4a83e27d576c4e1d651d27f78b5779afb9bc72797f6102f3efeb7c1aa78c9889d40ce988364ab4ea2d3c9 SHA512 042e31e106f5f22eeeed9cef1526710a767fbb9f398d39c85520a5767cb37f1bde10d4923cac7fbad6bec796ba4dfba330446309ab613ce53e4ff9b7771fab01
diff --git a/dev-python/botocore/botocore-1.34.28.ebuild b/dev-python/botocore/botocore-1.34.28.ebuild
new file mode 100644
index 000000000000..2fc3a4924fdb
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.28.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 25bb4a6d04a0..ae37f45ca043 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -10,3 +10,4 @@ DIST hypothesis-6.96.0.gh.tar.gz 9419802 BLAKE2B 347801a68db086f2f22c8cd49d1cb8f
DIST hypothesis-6.96.1.gh.tar.gz 9420126 BLAKE2B 546b9c77a144b58490fb5b6ba51fdff6e4f953bd942ce7a94a937e442e44526703479b5786787597e1af6028eb252e8d242f268c50591d83d2ffc438daeb006f SHA512 6c34819c8929d038c42e6539483a1d1c3f4c5dea7a5bed4db96194255b4f41ec3751a91f0eae242c27c9cf2135eb4428f0e759c596b6841fb95d7f971c5a5fe8
DIST hypothesis-6.96.3.gh.tar.gz 9421880 BLAKE2B 0d73e363550ca45c316ddf05bc0615aaf9846482b0aaaf64daa0879ac716314b222afdd37aaf29bc00c32f3cfd984609292151e458c5b1165144b1d870cc698e SHA512 8d847e9db1ce83ebed7307be8df91dc517b37cf2588ddf005a158f8b3dca2cb3ee95ed5268d1d74d25a374959f7553d1fa8ab2bc83f314113042c090970a5307
DIST hypothesis-6.96.4.gh.tar.gz 9422075 BLAKE2B 0ab12a01c8d714490f3785ac01779c69d0dc5f31bb3c85be3c1ff9831c1b2392f19ec45adfd40f334f20d48b3ad1300d38ed2e49ca318f17cae36de44895bc3d SHA512 8cbfbf36c7e1e56c31b58aadd9e592672430492eb7c7fb570d4e1277df3e0dd83f76ef39e27e0c644e38c3bc35c993b79d1e6687be73c0780fa36840b4a2baec
+DIST hypothesis-6.97.0.gh.tar.gz 9423342 BLAKE2B 77a1c7f3569e8a919e6e506222368163e87e98c99e35d4b65e07d4504db7842782689b4ca24bcf6d79cc4c0b59f9fafad2ceee54df6d94a48c7e114d10247bd1 SHA512 81308772235ed024e64ef4fd40f64905c26d9109ce4a21140eb83af60697a8025011ceeb354eb600eda5c39bc03247fc0b6ad8f3bfbe639be7dd8cc9d889c815
diff --git a/dev-python/hypothesis/hypothesis-6.97.0.ebuild b/dev-python/hypothesis/hypothesis-6.97.0.ebuild
new file mode 100644
index 000000000000..1f7054962839
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.97.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/pillow/pillow-10.2.0.ebuild b/dev-python/pillow/pillow-10.2.0.ebuild
index 4bc1d668f533..b6de21f58ee4 100644
--- a/dev-python/pillow/pillow-10.2.0.ebuild
+++ b/dev-python/pillow/pillow-10.2.0.ebuild
@@ -28,7 +28,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="HPND"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
REQUIRED_USE="test? ( jpeg jpeg2k lcms tiff truetype )"
RESTRICT="!test? ( test )"
diff --git a/dev-python/python-slugify/Manifest b/dev-python/python-slugify/Manifest
index 977aa7ea4523..218cfcb77b99 100644
--- a/dev-python/python-slugify/Manifest
+++ b/dev-python/python-slugify/Manifest
@@ -1 +1,2 @@
DIST python-slugify-8.0.1.gh.tar.gz 13574 BLAKE2B 24fe3dc74f2a867e81bfbb9eac4a1db59a185ddfaf0f2f80cb50d5f06b2061ce28d23ba09ffd214dba26563d1ef37900d016d75dde7a7c35fa756cf49f51b9c2 SHA512 721089244c90f784e49259ee70caa0908d8523c2cf42c8fd57804a73017a815311a9cc9981c1f70a8c2f7cd7e01d77eedf8f9bd3c9d5c55ac4d5f72dbe512b34
+DIST python-slugify-8.0.2.gh.tar.gz 13891 BLAKE2B d05e5a5095264a6aec3692dd651f47cc4cfe2580f5bf604531c0c89199d6b350591dfe0238b9ebd025ccf5b6c6e660a75da76d679500efb942f9f9c7aaefba7d SHA512 7de28f06e8f23d46b0be3ede4f1e6fb791f95fae6c7afd94562418a34d3be6a5c4aabc2ef6a8eca353298fd12ea87c71e35e0cd4b6f17b4fee07356c4905a061
diff --git a/dev-python/python-slugify/python-slugify-8.0.2.ebuild b/dev-python/python-slugify/python-slugify-8.0.2.ebuild
new file mode 100644
index 000000000000..a77d90d6c273
--- /dev/null
+++ b/dev-python/python-slugify/python-slugify-8.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python Slugify application that handles Unicode"
+HOMEPAGE="
+ https://github.com/un33k/python-slugify/
+ https://pypi.org/project/python-slugify/
+"
+SRC_URI="
+ https://github.com/un33k/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ dev-python/text-unidecode[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/python-utils/Manifest b/dev-python/python-utils/Manifest
index 363313da9b47..efcde5404fdf 100644
--- a/dev-python/python-utils/Manifest
+++ b/dev-python/python-utils/Manifest
@@ -1 +1,2 @@
DIST python-utils-3.8.1.tar.gz 30545 BLAKE2B 9132387de0d12c51dbd4a7a3eda561fa9935c9fa86d76346e50e4ee9401065211a02bb45e89df402900263d28b115b761c2a8d7a2fe799866da20d4848f48451 SHA512 ccba9651cc99a8f4e3f13e7ff66a43a40d2e85bc735b6246524269495ff321225a0dcad9abd03ca9cb61b4b1b35a27009fac3fe87e3f748ffc5c87a956acd335
+DIST python-utils-3.8.2.tar.gz 30431 BLAKE2B 3c53c02729f601b30e68a26cd4b61e49c29f036a1327c43124e326dae173d1b528035bb0952c349ec43f3cd6e159c2e0d5e82c8c46efd12c95f445dbb20751c0 SHA512 e0de794abe95f3e205fcbde0fd52615f44128ffb702a406ff0d3f7ce2640ff60ac3cc508829245bce750ed191c9d3ae563b8f0619af4c2c43cacde6a1aa0fde4
diff --git a/dev-python/python-utils/python-utils-3.8.2.ebuild b/dev-python/python-utils/python-utils-3.8.2.ebuild
new file mode 100644
index 000000000000..63c955fd7d19
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.8.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+EPYTEST_DESELECT=(
+ # fragile
+ _python_utils_tests/test_time.py::test_timeout_generator
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/seaborn/Manifest b/dev-python/seaborn/Manifest
index 1c63f5dae79f..d3263edd9842 100644
--- a/dev-python/seaborn/Manifest
+++ b/dev-python/seaborn/Manifest
@@ -1 +1,2 @@
DIST seaborn-0.13.1.tar.gz 1457600 BLAKE2B 73296257f1d7525cebb90bf6f97fa6e5f91e3e9df653e0b9ab81eb6d04a1eb957a9c623aa8b4a715162175a501f55dd7e787335175503cab451bb03318e822cf SHA512 b90483bffd3435cc058143dccc854eb175ec7d7a095b8ce8261fbcad3f97f5e9b035a790a04dc2c64c35dda5b0ab8562f0b4a99e09a5e2fc9c4ee8323a153910
+DIST seaborn-0.13.2.tar.gz 1457696 BLAKE2B 82caa82da487cb880318313e2af270ac409ecde8f0b26f7c7ba39b1763f9f247fa9a4f7c90f989467004e84c41b7eeb9561d1a59e0a23d4d6994ae63e71c1894 SHA512 5a2f11865d0f5b8a9281f0dac1eaf4cd205828293b3e0a2f7f1c24e7d20c989582ecc7e40c32a0fab6736de1f7e126293d9ae5c270e9aa4e93704e86b6b51ef6
diff --git a/dev-python/seaborn/seaborn-0.13.2.ebuild b/dev-python/seaborn/seaborn-0.13.2.ebuild
new file mode 100644
index 000000000000..a13232ec2134
--- /dev/null
+++ b/dev-python/seaborn/seaborn-0.13.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Statistical data visualization"
+HOMEPAGE="
+ https://seaborn.pydata.org/
+ https://github.com/mwaskom/seaborn/
+ https://pypi.org/project/seaborn/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/matplotlib-3.4[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.2[${PYTHON_USEDEP}]
+ >=dev-python/statsmodels-0.12[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.7[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ cat > matplotlibrc <<- EOF || die
+ backend : Agg
+ EOF
+
+ distutils-r1_src_test
+}
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 99e7e8536866..c2827bc3ad84 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,3 +1,5 @@
DIST stripe-7.11.0.tar.gz 783456 BLAKE2B 9317526b9c19d98b921f3fa8222486537b3bfa3a9c239d83098be1d9856a258a67276690c1f1ced6087a8d7f1fb180240f737d67f9ded5605e82de7fc4355fc0 SHA512 5cfa650d43745c8a3ab5588f30c6eaab0952aff060b9fdb84027db3422c88002d074eb29b3e2a40ed1457be6e8cd883b3323e8da538af0991114a10976b86842
DIST stripe-7.12.0.tar.gz 783948 BLAKE2B 063df7bbc118847bdee35f2919bd8023f4d58b5f1a36ad9d81dd63b6771513e3323a50ce8f83bb1719d6a44e6e823384a908af9b2091fb7c27a7bf78e5e22b40 SHA512 819aa9f4ec1d7269d14d43abd2c4ec7b20b76bdd4f290962ac51b89926ab2e1f1644dd9c653556673b7a65e97510e6d588052fcc4a7e3c05464a0564bb8d8ed0
DIST stripe-7.13.0.tar.gz 789362 BLAKE2B 326a8b0987ffc7b9bcca2c3fbff548770223a6e153ac4b04fdfe70c400ce0b7d06d40182727ca2fc0ab700f57133481510aec9432c6582dec2a34eba57e682fe SHA512 0ed4d7d1781236f8e6bb3685680f59cf9c3bdf8645e0f5cd17753d079e42965660666ec76cb65ee6d4145514706fd39f6c0f1af331033d0eb3f47f8445082be7
+DIST stripe-7.14.0.tar.gz 793052 BLAKE2B fa0cf2c57a1cc6ab2eccfa5c1882e2b0ef62d3d92b392ab23df495c93dad52b43e609c1938af4403a3d1c87d9d73b08a9536d01ca5a7f98a5caebcbaf894d5be SHA512 c40b1a3a4c5af132b30402e9f3860fd2e463e2ca263bc4a072975a744a86e3659c9499cab2ed8f10dd076bb896c2ae4d8a79d8307e2307b598ebe24728a81025
+DIST stripe-8.0.0.tar.gz 1070432 BLAKE2B 9f0b605d1c2c5f58dafcc78fb3d4878406c466b92475d08510116352325f5ba6ff3dc379fbd914b25faac7ced7e3fe5f52eecabbff5c479eaaf567cdbcb6a900 SHA512 c5ed151b41e3b2b11d502d51aad7c5c575e6ff151dcab8ffd86e32b4f37eeb1a6e381380b123802af938bb2adfbdda8a71c00e9e0b68e9493469cc6a90d94185
diff --git a/dev-python/stripe/stripe-7.14.0.ebuild b/dev-python/stripe/stripe-7.14.0.ebuild
new file mode 100644
index 000000000000..f95e50daee78
--- /dev/null
+++ b/dev-python/stripe/stripe-7.14.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="telemetry"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.180.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+src_prepare() {
+ if ! use telemetry; then
+ sed -i -e '/enable_telemetry/s:True:False:' stripe/__init__.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests -p pytest_mock
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=${!}
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ "http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+ eend ${?} "Port ${stripe_mock_port} unavailable"
+ if [[ ${?} -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/stripe/stripe-8.0.0.ebuild b/dev-python/stripe/stripe-8.0.0.ebuild
new file mode 100644
index 000000000000..f95e50daee78
--- /dev/null
+++ b/dev-python/stripe/stripe-8.0.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="telemetry"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.180.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+src_prepare() {
+ if ! use telemetry; then
+ sed -i -e '/enable_telemetry/s:True:False:' stripe/__init__.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests -p pytest_mock
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=${!}
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ "http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+ eend ${?} "Port ${stripe_mock_port} unavailable"
+ if [[ ${?} -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/types-docutils/Manifest b/dev-python/types-docutils/Manifest
index 520beb92d070..3109c857050f 100644
--- a/dev-python/types-docutils/Manifest
+++ b/dev-python/types-docutils/Manifest
@@ -1,3 +1,4 @@
DIST types-docutils-0.20.0.20240106.tar.gz 10394 BLAKE2B c3f62e558ec4607e429c30ecc1d061438f3afb04baa964c9d38b46573198947ded19f1ede360bacde298d1b1b776b47d577ea1f85563bb9e3202b91d2ea93711 SHA512 c8b0242255e2f315e0c3f3c22253d0e553f48ca47db57c5070cd55583016260d9026f6d196e83cb2f922ea9c67d713fec96edc9a808f7dbc68c3829e5112e808
DIST types-docutils-0.20.0.20240125.tar.gz 10540 BLAKE2B 66490c44e210617995489d240daa49ad24f1b2cc615bb3f3ff5df797753554f6ea890a634de8d7978c206b7ff97e3f499081671ef5fb3e1f754c7a7a8a4a1f2c SHA512 6d147d34cefec533628418f8e9575b2cc80ed133347330708f8b8685ba8e5bd088de2c00c0534df55e6369d9e6d6ac422b2c134b252573f378841b449a4d1880
+DIST types-docutils-0.20.0.20240126.tar.gz 10674 BLAKE2B b4a234c56b00d881cdb4885b67dc2162ce3b479d58e76db951e80c0d27143475cc4348b88bc60096d520d4781b11fd505f63964f088af154da9cae41793b37b7 SHA512 e0acf0a3793f019d4574714d4d622cb4eb903826e85235db559d6ace86be3c05aeb684b810f73a604051083ec98cb20943fc0848976e8ea06e5b8ab1a52ac42f
DIST types-docutils-0.20.0.3.tar.gz 10207 BLAKE2B ea672c6eab14a29644e4a4ae0183484cc7af1a71b4adea7afb70c5c9b70e7f9cb563058f6492929da45409ec4153d03568951b9c79692e53e5daba8321fc7c7d SHA512 95b2ae79486a1d4aac1be85a67b04ebce399d6c7e862f14f7cb97d578db97980ab45c343ae4deafce8cf616e7368dddd58c0457a1f5ac092548b2068a2c50e0e
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240126.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240126.ebuild
new file mode 100644
index 000000000000..0d86c4835acd
--- /dev/null
+++ b/dev-python/types-docutils/types-docutils-0.20.0.20240126.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for docutils"
+HOMEPAGE="https://pypi.org/project/types-docutils/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/vcrpy/Manifest b/dev-python/vcrpy/Manifest
index 69200ba6af88..ffd285abcec2 100644
--- a/dev-python/vcrpy/Manifest
+++ b/dev-python/vcrpy/Manifest
@@ -1,2 +1,3 @@
DIST vcrpy-5.1.0.gh.tar.gz 337183 BLAKE2B 76805db7c034fe4f6e0d6fb18340ad24a25a28ece4576d97958d689e46667a8ab2fb6cdc8186f635a7c4f4833d4ea541573bf6c5e0f775f842e60683336ad87e SHA512 dfb2e02027ed2e37f4c2201b410847cf1f03b1999853e3f838e49abf1e93641d58addb18f6144c484f9d4618693b9a99d73dc7fb55eb1de2c383109e054e3713
DIST vcrpy-6.0.0.gh.tar.gz 337408 BLAKE2B b335b3e89b759b111e34ed26753d528ce0b83bd6e408b35bb60371ada1d773e8e6e690991d468ae63fb61b799c2f79f2677043bc8a56a3b95fec477ee7c679e3 SHA512 d10c8a01843b8390c16fda26b0266d8b89d9d95978f99127f0c261e94dab6b7c358522fa6d059063e3c194885e8be46ef206bdfc1252511840058dd5df4cf11d
+DIST vcrpy-6.0.1.gh.tar.gz 337497 BLAKE2B a00571d7ed0dd895cc120e3e2615e8e6ea3e86344813e87f836a182be45389b200925ae2a02dc754b0b77db642d3be453b3b8c909b26197222b84fa95c6da804 SHA512 79ba9ea29db20ddc3db5676d7bdb05da17848eb126ed63d813a1d2b0de80573fff3afaec2ffe1af491a0310ce922c7545c4569035d0f5868f171db25965c217f
diff --git a/dev-python/vcrpy/vcrpy-6.0.1.ebuild b/dev-python/vcrpy/vcrpy-6.0.1.ebuild
new file mode 100644
index 000000000000..a0409c01cf94
--- /dev/null
+++ b/dev-python/vcrpy/vcrpy-6.0.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically mock your HTTP interactions to simplify and speed up testing"
+HOMEPAGE="
+ https://github.com/kevin1024/vcrpy/
+ https://pypi.org/project/vcrpy/
+"
+SRC_URI="
+ https://github.com/kevin1024/vcrpy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.16.2[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # these tests are failing with recent dev-python/werkzeug; losely related:
+ # https://github.com/kevin1024/vcrpy/issues/645
+ tests/integration/test_record_mode.py::test_new_episodes_record_mode_two_times
+ tests/integration/test_urllib2.py::test_random_body
+ tests/integration/test_urllib2.py::test_multiple_requests
+ # Internet
+ "tests/integration/test_urllib3.py::test_post[https]"
+ )
+
+ local EPYTEST_IGNORE=(
+ # requires boto3
+ tests/integration/test_boto3.py
+ # Internet
+ tests/integration/test_tornado.py
+ tests/integration/test_aiohttp.py
+ )
+
+ local -x REQUESTS_CA_BUNDLE=$("${EPYTHON}" -m pytest_httpbin.certs)
+ epytest -m 'not online'
+}